// FIXME: Tell people that this is a manifest file, real code should go into discrete files
// FIXME: Tell people how Sprockets and CoffeeScript works
//
//= require jquery
//= require jquery_ujs
//= require jquery.easing.compatibility
//= require jquery.prettyPhoto
//= require jcarousellite_1.0.1.min

//= require_tree .

function blink() {
//$('#promotions_header').animate({color: '#FF00FF', backgroundColor: '#00FF00'}, 2000).animate({color: '#00FFFF', backgroundColor: '#0000FF'}, 2000, function(){blink()});
$('#promotions_header').animate({
    opacity: 0.5,
    backgroundColor: 'red'
  }, 2000, function() {
    // Animation complete.
  }).animate({
	    opacity: 1,
	    backgroundColor: 'red'
	  }, 2000, function() {
	    blink()
	  });
}
$(document).ready(function() {
	
	$("a[rel^='prettyPhoto']").prettyPhoto({
		show_title : false,
		//allow_resize : false,
		slideshow :false,
		social_tools : false,
		callback: function(){window.location = "#";}
	});
	
	
	$("#slider").jCarouselLite({
		btnNext: ".right-arrow",
		btnPrev: ".left-arrow",
		easing: "easeInOutQuad",
		visible: 1,
		auto: 5000,
		speed: 1000
	});
	
	
	

	        blink();


	
	
	
});